Gentoo Archives: gentoo-dev

From: "Michał Górny" <mgorny@g.o>
To: gentoo-dev@l.g.o
Cc: djc@g.o
Subject: Re: [gentoo-dev] The Python problem
Date: Mon, 27 Jun 2011 19:31:52
Message-Id: 20110627213141.7eb6036b@pomiocik.lan
In Reply to: [gentoo-dev] The Python problem by Dirkjan Ochtman
On Mon, 27 Jun 2011 14:28:34 +0200
Dirkjan Ochtman <djc@g.o> wrote:

> So I know a bunch of people have already looked at it, and I'd like to > know: what do you find better about the Ruby approach compared to the > Python approach? Is it just the size of python.eclass, or are there a > number of other issues?
Working targets. USE_PYTHON is junk. What python.eclass does now with ABIs is a PITA, and requires manually providing a lot of redudant information (namely, RESTRICT_PYTHON_ABIS). Right now, each ebuild has to provide the same information in PYTHON_DEPEND and RESTRICT_PYTHON_ABIS. Moreover, if an ebuild supports, say, py3 and its dependency doesn't, the ebuild has to restrict py3 too. I'd like to see that fixed somehow. I'd like to set a single supported Python version information in an ebuild, and let the dependency resolver handle everything else. -- Best regards, Michał Górny

Attachments

File name MIME type
signature.asc application/pgp-signature

Replies

Subject Author
Re: [gentoo-dev] The Python problem Dirkjan Ochtman <djc@g.o>